package com.lightinit.hsdatashow.entity;

import java.util.List;

/**
 * Created by Mr.Yao on 2017/4/10.
 */
public class MenuDataEntity {
    private int id=0;
    private String text="";
    private String iconCls="";
    private String state=null;
    private List<MenuDataEntity> children=null;
    private MenuAttributesEntity attributes=null;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public List<MenuDataEntity> getChildren() {
        return children;
    }

    public void setChildren(List<MenuDataEntity> children) {
        this.children = children;
    }

    public MenuAttributesEntity getAttributes() {
        return attributes;
    }

    public void setAttributes(MenuAttributesEntity attributes) {
        this.attributes = attributes;
    }

    public String getIconCls() {
        return iconCls;
    }

    public void setIconCls(String iconCls) {
        this.iconCls = iconCls;
    }
}
